## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global upstreamname rocm-core
%global rocm_release 6.2
%global rocm_patch 1
%global rocm_version %{rocm_release}.%{rocm_patch}

Name:           rocm-core
Version:        %{rocm_version}
Release:        %autorelease
Summary:        A utility to get the ROCm release version
Url:            https://github.com/ROCm/%{upstreamname}
License:        MIT

Source0:        %{url}/archive/rocm-%{rocm_version}.tar.gz#/%{upstreamname}-%{rocm_version}.tar.gz

BuildRequires:  cmake
BuildRequires:  clang

# Only x86_64 works right now:
ExclusiveArch:  x86_64

%description
%{summary}

%package devel
Summary:        Libraries and headers for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}

%prep
%autosetup -p1 -n %{upstreamname}-rocm-%{version}

%build
%cmake -DROCM_VERSION=%{rocm_version}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}/%{_prefix}/.info
rm -rf %{buildroot}/%{_libdir}/rocmmod
rm -rf %{buildroot}/%{_docdir}/*/LICENSE.txt
rm -rf %{buildroot}/%{_libexecdir}/%{name}

mv  %{buildroot}/%{_includedir}/%{name}/*.h %{buildroot}/%{_includedir}/
rm -rf %{buildroot}/%{_includedir}/%{name}

%files
%license copyright
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/lib%{name}.so

%changelog
## START: Generated by rpmautospec
* Thu Sep 26 2024 Tom Rix <Tom.Rix@amd.com> - 6.2.1-1
- Update to 6.2.1

* Sat Aug 31 2024 Peter Robinson <pbrobinson@gmail.com> - 6.2.0-2
- cleanup .gitignore

* Thu Aug 08 2024 Jeremy Newton <Jeremy.Newton@amd.com> - 6.2.0-1
- Update to 6.2.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Tom Rix <trix@redhat.com> - 6.1.2-2
- Fix location of rocm_version.h

* Sat Jun 15 2024 Tom Rix <trix@redhat.com> - 6.1.2-1
- Update to 6.1.2

* Sun Mar 10 2024 Tom Rix <trix@redhat.com> - 6.0.2-1
- Update to 6.0.2

* Sat Feb 17 2024 Tom Rix <trix@redhat.com> - 6.0.0-1
- Initial package
## END: Generated by rpmautospec
